Kea: isc::dhcp::HostReservationParser6 Class Reference

| Kea 1.5.0

Protected Member Functions | List of all members
isc::dhcp::HostReservationParser6 Class Reference

Parser for a single host reservation for DHCPv6. More...

`#include <host_reservation_parser.h>`

Inheritance diagram for isc::dhcp::HostReservationParser6:
[legend]

## Protected Member Functions
virtual const std::set< std::string > & | getSupportedParameters (const bool identifiers_only) const
| Returns set of the supported parameters for DHCPv6. More...
virtual HostPtr | parseInternal (const SubnetID &subnet_id, isc::data::ConstElementPtr reservation_data)
| Parses a single host reservation for DHCPv6. More...
Protected Member Functions inherited from isc::dhcp::HostReservationParser
virtual bool | isIdentifierParameter (const std::string &param_name) const
| Checks if the specified parameter is a host identifier. More...
virtual bool | isSupportedParameter (const std::string &param_name) const
| Checks if the specified parameter is supported by the parser. More...
Protected Member Functions inherited from isc::data::SimpleParser
template<typename target_type , target_type convert>
target_type | getAndConvert (isc::data::ConstElementPtr scope, const std::string &name, const std::string &type_name)
| Returns a converted value from a scope. More...
template<typename int_type >
int_type | getIntType (isc::data::ConstElementPtr scope, const std::string &name)
| Returns an integer value with range checking from a scope. More...

## Additional Inherited Members
Public Member Functions inherited from isc::dhcp::HostReservationParser
virtual | ~HostReservationParser ()
| Destructor. More...
virtual HostPtr | parse (const SubnetID &subnet_id, isc::data::ConstElementPtr reservation_data) final
| Parses a single entry for host reservation. More...
Public Member Functions inherited from isc::data::SimpleParser
uint16_t | getUint16 (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a value converted to uint16_t. More...
uint32_t | getUint32 (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a value converted to uint32_t. More...
uint8_t | getUint8 (ConstElementPtr scope, const std::string &name)
| Get an uint8_t value. More...
Static Public Member Functions inherited from isc::data::SimpleParser
static size_t | deriveParams (isc::data::ConstElementPtr parent, isc::data::ElementPtr child, const ParamsList &params)
| Derives (inherits) parameters from parent scope to a child. More...
static isc::asiolink::IOAddress | getAddress (const ConstElementPtr &scope, const std::string &name)
| Returns a IOAddress parameter from a scope. More...
static bool | getBoolean (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a boolean parameter from a scope. More...
static int64_t | getInteger (isc::data::ConstElementPtr scope, const std::string &name)
| Returns an integer parameter from a scope. More...
static const data::Element::Position & | getPosition (const std::string &name, const data::ConstElementPtr parent)
| Utility method that returns position of an element. More...
static std::string | getString (isc::data::ConstElementPtr scope, const std::string &name)
| Returns a string parameter from a scope. More...
static size_t | setDefaults (isc::data::ElementPtr scope, const SimpleDefaults &default_values)
| Sets the default values. More...
static size_t | setListDefaults (isc::data::ConstElementPtr list, const SimpleDefaults &default_values)
| Sets the default values for all entries in a list. More...

## Detailed Description

Parser for a single host reservation for DHCPv6.

Definition at line 108 of file host_reservation_parser.h.

## Member Function Documentation

## ◆ getSupportedParameters()

const std::set< std::string > & isc::dhcp::HostReservationParser6::getSupportedParameters | ( | const bool | identifiers_only | ) | const
| protectedvirtual

Returns set of the supported parameters for DHCPv6.

Parameters

  identifiers_only | Indicates if the function should only return supported host identifiers (if true) or all supported parameters (if false).

Returns
  Set of supported parameter names.

Implements isc::dhcp::HostReservationParser.

Definition at line 350 of file host_reservation_parser.cc.

## ◆ parseInternal()

HostPtr isc::dhcp::HostReservationParser6::parseInternal | ( | const SubnetID & | subnet_id,
|  | isc::data::ConstElementPtr | reservation_data
| ) |  |
| protectedvirtual

Parses a single host reservation for DHCPv6.

Parameters

  subnet_id | Identifier of the subnet that the host is connected to.
  reservation_data | Data element holding map with a host reservation configuration.

Returns
  Pointer to the object representing parsed host.

Exceptions

  DhcpConfigError | If the configuration is invalid.

Reimplemented from isc::dhcp::HostReservationParser.

Definition at line 247 of file host_reservation_parser.cc.

References isc_throw, isc::dhcp::OptionDataListParser::parse(), and isc::Exception::what().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- host_reservation_parser.h
- host_reservation_parser.cc